Draft Arc: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 27: Line 27:


<!--T:21-->
<!--T:21-->
The [[Image:Draft_Arc.svg|24px]] [[Draft_Arc|Draft Arc]] command creates a circular arc in the current [[Draft_SelectPlane|working plane]] by entering four points, the center, a point that defines the radius, the first end point and the second end point, or by picking tangents, or any combination of those. It uses the [[Draft_Linestyle|Draft Linestyle]] set on the [[Draft_Tray|Draft Tray]].
The [[Image:Draft_Arc.svg|24px]] [[Draft_Arc|Draft Arc]] tool creates a circular arc in the current [[Draft_SelectPlane|working plane]] by entering four points, the center, a point that defines the radius, the first end point and the second end point, or by picking tangents, or any combination of those. It uses the [[Draft_Linestyle|Draft Linestyle]] set on the [[Draft_Tray|Draft Tray]].


</translate>
</translate>
Line 38: Line 38:


<!--T:4-->
<!--T:4-->
# There are several ways to invoke the command:
# There are several ways to invoke the tool:
#* Press the {{Button|[[Image:Draft_Arc.svg|16px]] [[Draft_Arc|Draft Arc]]}} button.
#* Press the {{Button|[[Image:Draft_Arc.svg|16px]] [[Draft_Arc|Draft Arc]]}} button.
#* Select the {{MenuCommand|Drafting → Arc tools → [[Image:Draft_Arc.svg|16px]] Arc}} option from the menu.
#* Select the {{MenuCommand|Drafting → Arc tools → [[Image:Draft_Arc.svg|16px]] Arc}} option from the menu.
Line 50: Line 50:


<!--T:5-->
<!--T:5-->
* The primary use of the arc command is by picking four points: the center, a point on the circumference, the start of the arc, and its end.
* The primary use of the arc tool is by picking four points: the center, a point on the circumference, the start of the arc, and its end.
** By pressing {{KEY|Alt}}, you can select a tangent instead of picking point, to define the base circle of the arc. You can therefore construct several types of circles by selecting one, two or three tangents.
** By pressing {{KEY|Alt}}, you can select a tangent instead of picking point, to define the base circle of the arc. You can therefore construct several types of circles by selecting one, two or three tangents.
* The direction of the arc depends on the movement you are doing with your mouse. If you start to move clockwise after the third point is entered, your arc will go clockwise. To go counter-clockwise, simply move your mouse back over the third point, until the arc starts drawing in the other direction.
* The direction of the arc depends on the movement you are doing with your mouse. If you start to move clockwise after the third point is entered, your arc will go clockwise. To go counter-clockwise, simply move your mouse back over the third point, until the arc starts drawing in the other direction.
* To enter coordinates manually, simply enter the numbers, then press {{KEY|Enter}} between each X, Y and Z component. You can press the {{Button|[[Image:Draft_AddPoint.svg|16px]] Enter point}} button when you have the desired values to insert the point.
* To enter coordinates manually, simply enter the numbers, then press {{KEY|Enter}} between each X, Y and Z component. You can press the {{Button|[[Image:Draft_AddPoint.svg|16px]] Enter point}} button when you have the desired values to insert the point.
* Press {{KEY|T}} or click the checkbox to toggle ''continue'' mode. If continue mode is on, the Arc command will restart after you finish the arc, allowing you to draw another one without pressing the command button again.
* Press {{KEY|T}} or click the checkbox to toggle ''continue'' mode. If continue mode is on, the Arc tool will restart after you finish the arc, allowing you to draw another one without pressing the tool button again.
* Hold {{KEY|Ctrl}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
* Hold {{KEY|Ctrl}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
* Hold {{KEY|Shift}} while drawing to [[Draft_Constrain|constrain]] your point horizontally or vertically in relation to the center.
* Hold {{KEY|Shift}} while drawing to [[Draft_Constrain|constrain]] your point horizontally or vertically in relation to the center.
* Press {{KEY|Esc}} or the {{Button|Close}} button to abort the current command.
* Press {{KEY|Esc}} or the {{Button|Close}} button to abort the current tool.


==Notes==
==Notes==


<!--T:11-->
<!--T:11-->
* A Draft Arc can be edited with the [[Image:Draft_Edit.svg|16px]] [[Draft_Edit|Draft Edit]] command.
* A Draft Arc can be edited with the [[Image:Draft_Edit.svg|16px]] [[Draft_Edit|Draft Edit]] tool.


==Properties==
==Properties==

Revision as of 13:00, 17 March 2021

This documentation is a work in progress. Please don't mark it as translatable since it will change in the next hours and days.

Draft Arc

Menu location
Drafting → Arc tools → Arc
Workbenches
Draft, Arch
Default shortcut
A R
Introduced in version
0.7
See also
Draft Arc 3Points, Draft Circle

Description

The Draft Arc tool creates a circular arc in the current working plane by entering four points, the center, a point that defines the radius, the first end point and the second end point, or by picking tangents, or any combination of those. It uses the Draft Linestyle set on the Draft Tray.

Arc defined by four points, center, radius, initial point of arc and final point of arc

Usage

  1. There are several ways to invoke the tool:
    • Press the Draft Arc button.
    • Select the Drafting → Arc tools → Arc option from the menu.
    • Use the keyboard shortcut: A then R.
  2. Click the first point in the 3D view, or type coordinates and press the Enter point button.
  3. Click the second point in the 3D view, or enter a Radius.
  4. Click the third point in the 3D view, or enter a Start angle.
  5. Click the fourth point in the 3D view, or enter an Aperture angle.

Options

  • The primary use of the arc tool is by picking four points: the center, a point on the circumference, the start of the arc, and its end.
    • By pressing Alt, you can select a tangent instead of picking point, to define the base circle of the arc. You can therefore construct several types of circles by selecting one, two or three tangents.
  • The direction of the arc depends on the movement you are doing with your mouse. If you start to move clockwise after the third point is entered, your arc will go clockwise. To go counter-clockwise, simply move your mouse back over the third point, until the arc starts drawing in the other direction.
  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component. You can press the Enter point button when you have the desired values to insert the point.
  • Press T or click the checkbox to toggle continue mode. If continue mode is on, the Arc tool will restart after you finish the arc, allowing you to draw another one without pressing the tool button again.
  • Hold Ctrl while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Hold Shift while drawing to constrain your point horizontally or vertically in relation to the center.
  • Press Esc or the Close button to abort the current tool.

Notes

  • A Draft Arc can be edited with the Draft Edit tool.

Properties

A Draft Arc is in fact a Draft Circle with a DataFirst Angle that is not the same as its DataLast Angle. A Draft Arc therefore has the same properties as a Draft Circle.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Arc use the make_circle method of the Draft module:

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

arc1 = Draft.make_circle(200, startangle=0, endangle=90)
arc2 = Draft.make_circle(500, startangle=20, endangle=160)
arc3 = Draft.make_circle(750, startangle=-30, endangle=-150)

doc.recompute()